Bug 20803 - Cannot search to hold or use print options from API keys interface
Summary: Cannot search to hold or use print options from API keys interface
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/members/apikeys.pl
Whiteboard:
Keywords:
Depends on: 20568
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-22 17:45 UTC by Lee Jamison
Modified: 2018-07-18 12:13 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20803: Cannot search to hold or use print options from API keys interface (1.80 KB, patch)
2018-05-22 17:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20803: Cannot search to hold or use print options from API keys interface (1.88 KB, patch)
2018-05-22 18:04 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lee Jamison 2018-05-22 17:45:43 UTC
Users cannot perform a search to hold or use any print options from the API keys screen.

To reproduce:
1. Navigate to Manage API keys page from Patron record > More > Manage api keys
2. Attempt to click search to hold or use any print options
Comment 1 Owen Leonard 2018-05-22 17:51:48 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2018-05-22 18:04:54 UTC
Created attachment 75478 [details] [review]
Bug 20803: Cannot search to hold or use print options from API keys interface

This patch adds a required JS asset to the patron API key interface.
Without it, JS-based functions in the toolbar do not work.

To test you must have RESTOAuth2ClientCredentials enabled.

 - From a patron detail page, choose More -> Manage API keys.
 - Test the toolbar buttons on this page, especially "Search to hold"
   and the various print options.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Jonathan Druart 2018-05-24 16:45:22 UTC
Pushed to master for 18.05, thanks Owen!